| Flutter Windows Embedder |

Public Member Functions | List of all members
flutter::MethodCall< T > Class Template Reference

`#include <method_call.h>`

## Public Member Functions
| MethodCall (const std::string &method_name, std::unique_ptr< T > arguments)
virtual | ~MethodCall ()=default
| MethodCall (MethodCall< T > const &)=delete
MethodCall & | operator= (MethodCall< T > const &)=delete
const std::string & | method_name () const
const T * | arguments () const

## Detailed Description

### template<typename T = EncodableValue>
class flutter::MethodCall< T >

Definition at line 18 of file method_call.h.

## Constructor & Destructor Documentation

## ◆ MethodCall() [1/2]

template<typename T = EncodableValue>

flutter::MethodCall< T >::MethodCall | ( | const std::string & | method_name,
|  | std::unique_ptr< T > | arguments
| ) |  |
| inline

Definition at line 21 of file method_call.h.

22 : method_name_(method_name), arguments_(std::move(arguments)) {}

## ◆ ~MethodCall()

template<typename T = EncodableValue>

virtual flutter::MethodCall< T >::~MethodCall | ( |  | ) |
| virtualdefault

## ◆ MethodCall() [2/2]

template<typename T = EncodableValue>

flutter::MethodCall< T >::MethodCall | ( | MethodCall< T > const & |  | ) |
| delete

## Member Function Documentation

## ◆ arguments()

template<typename T = EncodableValue>

const T* flutter::MethodCall< T >::arguments | ( |  | ) | const
| inline

Definition at line 34 of file method_call.h.

34 { return arguments_.get(); }

Referenced by flutter::JsonMethodCodec::EncodeMethodCallInternal(), flutter::StandardMethodCodec::EncodeMethodCallInternal(), flutter::PlatformViewManager::PlatformViewManager(), and flutter::TEST().

## ◆ method_name()

template<typename T = EncodableValue>

const std::string& flutter::MethodCall< T >::method_name | ( |  | ) | const
| inline

Definition at line 31 of file method_call.h.

31 { return method_name_; }

Referenced by flutter::JsonMethodCodec::EncodeMethodCallInternal(), flutter::StandardMethodCodec::EncodeMethodCallInternal(), flutter::PlatformViewManager::PlatformViewManager(), and flutter::TEST().

## ◆ operator=()

template<typename T = EncodableValue>

MethodCall& flutter::MethodCall< T >::operator= | ( | MethodCall< T > const & |  | ) |
| delete

The documentation for this class was generated from the following file:

- shell/platform/common/client_wrapper/include/flutter/method_call.h

flutter::MethodCall::method_name
const std::string & method_name() const
Definition: method_call.h:31
flutter::MethodCall::arguments
const T * arguments() const
Definition: method_call.h:34